Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkProp Class Reference

`#include <vtkProp.h>`

Inheritance diagram for vtkProp:

[legend]
Collaboration diagram for vtkProp:

[legend]
List of all members.

## Detailed Description

abstract superclass for all actors, volumes and annotations

Date:
  2002/12/26 18:24:21

Revision:
  1.39

vtkProp is an abstract superclass for any objects that can exist in a rendered scene (either 2D or 3D). Instances of vtkProp may respond to various render methods (e.g., RenderOpaqueGeometry()). vtkProp also defines the API for picking, LOD manipulation, and common instance variables that control visibility, picking, and dragging.

See also:
  vtkActor2D vtkActor vtkVolume vtkProp3D

Events:
  vtkCommand::PickEvent

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (38%)
  - Schroeder, Will (28%)
  - Avila, Lisa (26%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkProp.cxx)`
  - .`h` (`/Common/vtkProp.h)`

Examples:
  vtkProp (Examples)

Definition at line 61 of file vtkProp.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Pick ()
virtual unsigned long | GetRedrawMTime ()
virtual float * | GetBounds ()
virtual void | ShallowCopy (vtkProp *prop)
virtual void | ReleaseGraphicsResources (vtkWindow *)
virtual void | BuildPaths (vtkAssemblyPaths *paths, vtkAssemblyPath *path)
virtual void | GetActors (vtkPropCollection *)
virtual void | GetActors2D (vtkPropCollection *)
virtual void | GetVolumes (vtkPropCollection *)
virtual void | SetVisibility (int)
virtual int | GetVisibility ()
virtual void | VisibilityOn ()
virtual void | VisibilityOff ()
virtual void | SetPickable (int)
virtual int | GetPickable ()
virtual void | PickableOn ()
virtual void | PickableOff ()
void | SetPickMethod (void(*f)(void *), void *arg)
void | SetPickMethodArgDelete (void(*f)(void *))
virtual void | SetDragable (int)
virtual int | GetDragable ()
virtual void | DragableOn ()
virtual void | DragableOff ()
virtual void | InitPathTraversal ()
virtual vtkAssemblyPath * | GetNextPath ()
virtual int | GetNumberOfPaths ()
virtual void | PokeMatrix (vtkMatrix4x4 *vtkNotUsed(matrix))
virtual vtkMatrix4x4 * | GetMatrix ()
virtual int | RenderOpaqueGeometry (vtkViewport *)
virtual int | RenderTranslucentGeometry (vtkViewport *)
virtual int | RenderOverlay (vtkViewport *)
virtual float | GetEstimatedRenderTime (vtkViewport *)
virtual float | GetEstimatedRenderTime ()
virtual void | SetEstimatedRenderTime (float t)
virtual void | RestoreEstimatedRenderTime ()
virtual void | AddEstimatedRenderTime (float t, vtkViewport *vtkNotUsed(vp))
virtual void | SetAllocatedRenderTime (float t, vtkViewport *vtkNotUsed(v))
virtual float | GetAllocatedRenderTime ()
void | SetRenderTimeMultiplier (float t)
virtual float | GetRenderTimeMultiplier ()
virtual int | GetNumberOfConsumers ()
void | AddConsumer (vtkObject *c)
void | RemoveConsumer (vtkObject *c)
vtkObject * | GetConsumer (int i)
int | IsConsumer (vtkObject *c)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkProp * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkProp ()
| ~vtkProp ()
## Protected Attributes
int | Visibility
int | Pickable
unsigned long | PickTag
int | Dragable
float | AllocatedRenderTime
float | EstimatedRenderTime
float | SavedEstimatedRenderTime
float | RenderTimeMultiplier
int | NumberOfConsumers
vtkObject ** | Consumers
vtkAssemblyPaths * | Paths

## Member Typedef Documentation

typedef vtkObject vtkProp::Superclass

| Reimplemented from vtkObject. Reimplemented in vtkActor2D, vtkPropAssembly, vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkActor, vtkAssembly, vtkAxisActor2D, vtkFollower, vtkImageActor, vtkLODActor, vtkLODProp3D, vtkMesaActor, vtkMesaImageActor, vtkOpenGLActor, vtkOpenGLImageActor, vtkParallelCoordinatesActor, vtkProp3D, vtkScalarBarActor, vtkScaledTextActor, vtkTextActor, and vtkVolume. Definition at line 64 of file vtkProp.h.

## Constructor & Destructor Documentation

vtkProp::vtkProp | ( |  | ) | `[protected]`

vtkProp::~vtkProp | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkProp::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject. Reimplemented in vtkActor2D, vtkPropAssembly, vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkActor, vtkAssembly, vtkAxisActor2D, vtkFollower, vtkImageActor, vtkLODActor, vtkLODProp3D, vtkMesaActor, vtkMesaImageActor, vtkOpenGLActor, vtkOpenGLImageActor, vtkParallelCoordinatesActor, vtkProp3D, vtkScalarBarActor, vtkScaledTextActor, vtkTextActor, and vtkVolume.

int vtkProp::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkActor2D, vtkPropAssembly, vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkActor, vtkAssembly, vtkAxisActor2D, vtkFollower, vtkImageActor, vtkLODActor, vtkLODProp3D, vtkMesaActor, vtkMesaImageActor, vtkOpenGLActor, vtkOpenGLImageActor, vtkParallelCoordinatesActor, vtkProp3D, vtkScalarBarActor, vtkScaledTextActor, vtkTextActor, and vtkVolume.

virtual int vtkProp::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkActor2D, vtkPropAssembly, vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkActor, vtkAssembly, vtkAxisActor2D, vtkFollower, vtkImageActor, vtkLODActor, vtkLODProp3D, vtkMesaActor, vtkMesaImageActor, vtkOpenGLActor, vtkOpenGLImageActor, vtkParallelCoordinatesActor, vtkProp3D, vtkScalarBarActor, vtkScaledTextActor, vtkTextActor, and vtkVolume.

vtkProp* vtkProp::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject. Reimplemented in vtkActor2D, vtkPropAssembly, vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkActor, vtkAssembly, vtkAxisActor2D, vtkFollower, vtkImageActor, vtkLODActor, vtkLODProp3D, vtkMesaActor, vtkMesaImageActor, vtkOpenGLActor, vtkOpenGLImageActor, vtkParallelCoordinatesActor, vtkProp3D, vtkScalarBarActor, vtkScaledTextActor, vtkTextActor, and vtkVolume.

void vtkProp::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject. Reimplemented in vtkActor2D, vtkPropAssembly, vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkActor, vtkAssembly, vtkAxisActor2D, vtkFollower, vtkImageActor, vtkLODActor, vtkLODProp3D, vtkMesaActor, vtkMesaImageActor, vtkOpenGLActor, vtkOpenGLImageActor, vtkParallelCoordinatesActor, vtkProp3D, vtkScalarBarActor, vtkScaledTextActor, vtkTextActor, and vtkVolume.

virtual void vtkProp::GetActors | ( | vtkPropCollection * |  | ) | `[inline, virtual]`

| For some exporters and other other operations we must be able to collect all the actors or volumes. These methods are used in that process. Reimplemented in vtkActor, vtkAssembly, and vtkLODProp3D. Definition at line 71 of file vtkProp.h.

virtual void vtkProp::GetActors2D | ( | vtkPropCollection * |  | ) | `[inline, virtual]`

| For some exporters and other other operations we must be able to collect all the actors or volumes. These methods are used in that process. Reimplemented in vtkActor2D. Definition at line 72 of file vtkProp.h.

virtual void vtkProp::GetVolumes | ( | vtkPropCollection * |  | ) | `[inline, virtual]`

| For some exporters and other other operations we must be able to collect all the actors or volumes. These methods are used in that process. Reimplemented in vtkAssembly, and vtkVolume. Definition at line 73 of file vtkProp.h.

virtual void vtkProp::SetVisibility | ( | int |  | ) | `[virtual]`

| Set/Get visibility of this vtkProp.

virtual int vtkProp::GetVisibility | ( |  | ) | `[virtual]`

| Set/Get visibility of this vtkProp.

virtual void vtkProp::VisibilityOn | ( |  | ) | `[virtual]`

| Set/Get visibility of this vtkProp.

virtual void vtkProp::VisibilityOff | ( |  | ) | `[virtual]`

| Set/Get visibility of this vtkProp.

virtual void vtkProp::SetPickable | ( | int |  | ) | `[virtual]`

| Set/Get the pickable instance variable. This determines if the vtkProp can be picked (typically using the mouse). Also see dragable.

virtual int vtkProp::GetPickable | ( |  | ) | `[virtual]`

| Set/Get the pickable instance variable. This determines if the vtkProp can be picked (typically using the mouse). Also see dragable.

virtual void vtkProp::PickableOn | ( |  | ) | `[virtual]`

| Set/Get the pickable instance variable. This determines if the vtkProp can be picked (typically using the mouse). Also see dragable.

virtual void vtkProp::PickableOff | ( |  | ) | `[virtual]`

| Set/Get the pickable instance variable. This determines if the vtkProp can be picked (typically using the mouse). Also see dragable.

void vtkProp::SetPickMethod | ( | void(* | f)(void *),
|  | void * | arg
| ) |

| This method is invoked when an instance of vtkProp (or subclass, e.g., vtkActor) is picked by vtkPicker. Reimplemented in vtkLODProp3D.

void vtkProp::SetPickMethodArgDelete | ( | void(* | f)(void *) | ) |

| This method is invoked when an instance of vtkProp (or subclass, e.g., vtkActor) is picked by vtkPicker. Reimplemented in vtkLODProp3D.

virtual void vtkProp::Pick | ( |  | ) | `[virtual]`

| Method invokes PickMethod() if one defined and the prop is picked.

virtual void vtkProp::SetDragable | ( | int |  | ) | `[virtual]`

| Set/Get the value of the dragable instance variable. This determines if an Prop, once picked, can be dragged (translated) through space. This is typically done through an interactive mouse interface. This does not affect methods such as SetPosition, which will continue to work. It is just intended to prevent some vtkProp'ss from being dragged from within a user interface.

virtual int vtkProp::GetDragable | ( |  | ) | `[virtual]`

| Set/Get the value of the dragable instance variable. This determines if an Prop, once picked, can be dragged (translated) through space. This is typically done through an interactive mouse interface. This does not affect methods such as SetPosition, which will continue to work. It is just intended to prevent some vtkProp'ss from being dragged from within a user interface.

virtual void vtkProp::DragableOn | ( |  | ) | `[virtual]`

| Set/Get the value of the dragable instance variable. This determines if an Prop, once picked, can be dragged (translated) through space. This is typically done through an interactive mouse interface. This does not affect methods such as SetPosition, which will continue to work. It is just intended to prevent some vtkProp'ss from being dragged from within a user interface.

virtual void vtkProp::DragableOff | ( |  | ) | `[virtual]`

| Set/Get the value of the dragable instance variable. This determines if an Prop, once picked, can be dragged (translated) through space. This is typically done through an interactive mouse interface. This does not affect methods such as SetPosition, which will continue to work. It is just intended to prevent some vtkProp'ss from being dragged from within a user interface.

virtual unsigned long vtkProp::GetRedrawMTime | ( |  | ) | `[inline, virtual]`

| Return the mtime of anything that would cause the rendered image to appear differently. Usually this involves checking the mtime of the prop plus anything else it depends on such as properties, textures etc. Reimplemented in vtkActor, and vtkVolume. Definition at line 117 of file vtkProp.h. References vtkObject::GetMTime().

virtual float* vtkProp::GetBounds | ( |  | ) | `[inline, virtual]`

| Get the bounds for this Prop as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax). in world coordinates. NULL means that the bounds are not defined. Reimplemented in vtkPropAssembly, vtkCubeAxesActor2D, vtkActor, vtkAssembly, vtkImageActor, vtkLODProp3D, vtkProp3D, and vtkVolume. Definition at line 121 of file vtkProp.h.

virtual void vtkProp::ShallowCopy | ( | vtkProp * | prop | ) | `[virtual]`

| Shallow copy of this vtkProp. Reimplemented in vtkActor2D, vtkPropAssembly, vtkCaptionActor2D, vtkLegendBoxActor, vtkActor, vtkAssembly, vtkAxisActor2D, vtkFollower, vtkLODActor, vtkLODProp3D, vtkProp3D, vtkScalarBarActor, vtkTextActor, and vtkVolume.

virtual void vtkProp::InitPathTraversal | ( |  | ) | `[virtual]`

| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). The following methods interface with the picking classes and return "pick paths". A pick path is a hierarchical, ordered list of props that form an assembly. Most often, when a vtkProp is picked, its path consists of a single node (i.e., the prop). However, classes like vtkAssembly and vtkPropAssembly can return more than one path, each path being several layers deep. (See vtkAssemblyPath for more information.) To use these methods - first invoke InitPathTraversal() followed by repeated calls to GetNextPath(). GetNextPath() returns a NULL pointer when the list is exhausted. Reimplemented in vtkPropAssembly, vtkAssembly, and vtkProp3D.

virtual vtkAssemblyPath* vtkProp::GetNextPath | ( |  | ) | `[virtual]`

| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). The following methods interface with the picking classes and return "pick paths". A pick path is a hierarchical, ordered list of props that form an assembly. Most often, when a vtkProp is picked, its path consists of a single node (i.e., the prop). However, classes like vtkAssembly and vtkPropAssembly can return more than one path, each path being several layers deep. (See vtkAssemblyPath for more information.) To use these methods - first invoke InitPathTraversal() followed by repeated calls to GetNextPath(). GetNextPath() returns a NULL pointer when the list is exhausted. Reimplemented in vtkPropAssembly, and vtkAssembly.

virtual int vtkProp::GetNumberOfPaths | ( |  | ) | `[inline, virtual]`

| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). The following methods interface with the picking classes and return "pick paths". A pick path is a hierarchical, ordered list of props that form an assembly. Most often, when a vtkProp is picked, its path consists of a single node (i.e., the prop). However, classes like vtkAssembly and vtkPropAssembly can return more than one path, each path being several layers deep. (See vtkAssemblyPath for more information.) To use these methods - first invoke InitPathTraversal() followed by repeated calls to GetNextPath(). GetNextPath() returns a NULL pointer when the list is exhausted. Reimplemented in vtkPropAssembly, and vtkAssembly. Definition at line 140 of file vtkProp.h.

virtual void vtkProp::PokeMatrix | ( | vtkMatrix4x4 * | vtkNotUsed(matrix) | ) | `[inline, virtual]`

| These methods are used by subclasses to place a matrix (if any) in the prop prior to rendering. Generally used only for picking. See vtkProp3D for more information. Definition at line 147 of file vtkProp.h.

virtual vtkMatrix4x4* vtkProp::GetMatrix | ( |  | ) | `[inline, virtual]`

| These methods are used by subclasses to place a matrix (if any) in the prop prior to rendering. Generally used only for picking. See vtkProp3D for more information. Reimplemented in vtkFollower, and vtkProp3D. Definition at line 148 of file vtkProp.h.

virtual int vtkProp::RenderOpaqueGeometry | ( | vtkViewport * |  | ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS All concrete subclasses must be able to render themselves. There are three key render methods in vtk and they correspond to three different points in the rendering cycle. Any given prop may implement one or more of these methods. The first method is intended for rendering all opaque geometry. The second method is intended for rendering all translucent geometry. Most volume rendering mappers draw their results during this second method. The last method is to render any 2D annotation or overlays. Each of these methods return an integer value indicating whether or not this render method was applied to this data. Reimplemented in vtkActor2D, vtkPropAssembly, vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkActor, vtkAssembly, vtkAxisActor2D, vtkFollower, vtkImageActor, vtkLODActor, vtkLODProp3D, vtkParallelCoordinatesActor, vtkScalarBarActor, and vtkTextActor. Definition at line 164 of file vtkProp.h.

virtual int vtkProp::RenderTranslucentGeometry | ( | vtkViewport * |  | ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS All concrete subclasses must be able to render themselves. There are three key render methods in vtk and they correspond to three different points in the rendering cycle. Any given prop may implement one or more of these methods. The first method is intended for rendering all opaque geometry. The second method is intended for rendering all translucent geometry. Most volume rendering mappers draw their results during this second method. The last method is to render any 2D annotation or overlays. Each of these methods return an integer value indicating whether or not this render method was applied to this data. Reimplemented in vtkActor2D, vtkPropAssembly, vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkActor, vtkAssembly, vtkAxisActor2D, vtkFollower, vtkLODProp3D, vtkParallelCoordinatesActor, vtkScalarBarActor, vtkTextActor, and vtkVolume. Definition at line 165 of file vtkProp.h.

virtual int vtkProp::RenderOverlay | ( | vtkViewport * |  | ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS All concrete subclasses must be able to render themselves. There are three key render methods in vtk and they correspond to three different points in the rendering cycle. Any given prop may implement one or more of these methods. The first method is intended for rendering all opaque geometry. The second method is intended for rendering all translucent geometry. Most volume rendering mappers draw their results during this second method. The last method is to render any 2D annotation or overlays. Each of these methods return an integer value indicating whether or not this render method was applied to this data. Reimplemented in vtkActor2D, vtkPropAssembly, vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkAxisActor2D, vtkParallelCoordinatesActor, vtkScalarBarActor, and vtkTextActor. Definition at line 166 of file vtkProp.h.

virtual void vtkProp::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE Release any graphics resources that are being consumed by this actor. The parameter window could be used to determine which graphic resources to release. Reimplemented in vtkActor2D, vtkPropAssembly, vtkCaptionActor2D, vtkCubeAxesActor2D, vtkLegendBoxActor, vtkXYPlotActor, vtkActor, vtkAssembly, vtkAxisActor2D, vtkLODActor, vtkLODProp3D, vtkMesaImageActor, vtkOpenGLImageActor, vtkParallelCoordinatesActor, vtkScalarBarActor, vtkTextActor, and vtkVolume. Definition at line 173 of file vtkProp.h.

virtual float vtkProp::GetEstimatedRenderTime | ( | vtkViewport * |  | ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS The EstimatedRenderTime may be used to select between different props, for example in LODProp it is used to select the level-of-detail. The value is returned in seconds. For simple geometry the accuracy may not be great due to buffering. For ray casting, which is already multi-resolution, the current resolution of the image is factored into the time. We need the viewport for viewing parameters that affect timing. The no-arguments version simply returns the value of the variable with no estimation. Definition at line 186 of file vtkProp.h.

virtual float vtkProp::GetEstimatedRenderTime | ( |  | ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS The EstimatedRenderTime may be used to select between different props, for example in LODProp it is used to select the level-of-detail. The value is returned in seconds. For simple geometry the accuracy may not be great due to buffering. For ray casting, which is already multi-resolution, the current resolution of the image is factored into the time. We need the viewport for viewing parameters that affect timing. The no-arguments version simply returns the value of the variable with no estimation. Definition at line 188 of file vtkProp.h.

virtual void vtkProp::SetEstimatedRenderTime | ( | float | t | ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS This method is used by, for example, the vtkLODProp3D in order to initialize the estimated render time at start-up to some user defined value. Definition at line 196 of file vtkProp.h.

virtual void vtkProp::RestoreEstimatedRenderTime | ( |  | ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS When the EstimatedRenderTime is first set to 0.0 (in the SetAllocatedRenderTime method) the old value is saved. This method is used to restore that old value should the render be aborted. Reimplemented in vtkLODProp3D. Definition at line 206 of file vtkProp.h.

virtual void vtkProp::AddEstimatedRenderTime | ( | float | t,
|  | vtkViewport * | vtkNotUsed(vp)
| ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS This method is intended to allow the renderer to add to the EstimatedRenderTime in props that require information that the renderer has in order to do this. For example, props that are rendered with a ray casting method do not know themselves how long it took for them to render. We don't want to cause a this->Modified() when we set this value since it is not really a modification to the object. (For example, we don't want to rebuild matrices at every render because the estimated render time is changing) Definition at line 222 of file vtkProp.h.

virtual void vtkProp::SetAllocatedRenderTime | ( | float | t,
|  | vtkViewport * | vtkNotUsed(v)
| ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS The renderer may use the allocated rendering time to determine how to render this actor. Therefore it might need the information provided in the viewport. A side effect of this method is to reset the EstimatedRenderTime to 0.0. This way, each of the ways that this prop may be rendered can be timed and added together into this value. Definition at line 234 of file vtkProp.h.

virtual float vtkProp::GetAllocatedRenderTime | ( |  | ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS

void vtkProp::SetRenderTimeMultiplier | ( | float | t | ) | `[inline]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Get/Set the multiplier for the render time. This is used for culling and is a number between 0 and 1. It is used to create the allocated render time value. Definition at line 253 of file vtkProp.h.

virtual float vtkProp::GetRenderTimeMultiplier | ( |  | ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Get/Set the multiplier for the render time. This is used for culling and is a number between 0 and 1. It is used to create the allocated render time value.

virtual void vtkProp::BuildPaths | ( | vtkAssemblyPaths * | paths,
|  | vtkAssemblyPath * | path
| ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Used to construct assembly paths and perform part traversal. Reimplemented in vtkPropAssembly, and vtkAssembly.

virtual int vtkProp::GetNumberOfConsumers | ( |  | ) | `[virtual]`

| Get the number of consumers

void vtkProp::AddConsumer | ( | vtkObject * | c | ) |

| Add or remove or get or check a consumer,

void vtkProp::RemoveConsumer | ( | vtkObject * | c | ) |

| Add or remove or get or check a consumer,

vtkObject* vtkProp::GetConsumer | ( | int | i | ) |

| Add or remove or get or check a consumer,

int vtkProp::IsConsumer | ( | vtkObject * | c | ) |

| Add or remove or get or check a consumer,

## Member Data Documentation

int vtkProp::Visibility`[protected]`

| Definition at line 281 of file vtkProp.h.

int vtkProp::Pickable`[protected]`

| Definition at line 282 of file vtkProp.h.

unsigned long vtkProp::PickTag`[protected]`

| Definition at line 283 of file vtkProp.h.

int vtkProp::Dragable`[protected]`

| Definition at line 284 of file vtkProp.h.

float vtkProp::AllocatedRenderTime`[protected]`

| Definition at line 286 of file vtkProp.h.

float vtkProp::EstimatedRenderTime`[protected]`

| Definition at line 287 of file vtkProp.h.

float vtkProp::SavedEstimatedRenderTime`[protected]`

| Definition at line 288 of file vtkProp.h.

float vtkProp::RenderTimeMultiplier`[protected]`

| Definition at line 289 of file vtkProp.h.

int vtkProp::NumberOfConsumers`[protected]`

| Definition at line 292 of file vtkProp.h.

vtkObject** vtkProp::Consumers`[protected]`

| Definition at line 293 of file vtkProp.h.

vtkAssemblyPaths* vtkProp::Paths`[protected]`

| Definition at line 297 of file vtkProp.h.

The documentation for this class was generated from the following file:

- Common/vtkProp.h